Eclipse Platform Release 3.7

## org.eclipse.update.configuration
Interface IActivity

All Superinterfaces:
  IAdaptable

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IActivity

extends IAdaptable

Install activity. Represents a record of an installation action performed on a particular installation configuration.

This interface is not intended to be implemented by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IInstallConfiguration`

Field Summary
`static int` `ACTION_ADD_PRESERVED` Deprecated. Indicates adding the configuration to a preserved state
`static int` `ACTION_CONFIGURE` Deprecated. Indicates feature configuration action
`static int` `ACTION_FEATURE_INSTALL` Deprecated. Indicates feature installation action
`static int` `ACTION_FEATURE_REMOVE` Deprecated. Indicates feature removal (uninstallation) action
`static int` `ACTION_RECONCILIATION` Deprecated. Indicates reconcilliation with changes made directly to the site installation directory
`static int` `ACTION_REVERT` Deprecated. Indicates reverting to a prior configuration state
`static int` `ACTION_SITE_INSTALL` Deprecated. Indicates an addition of a site to a configuration
`static int` `ACTION_SITE_REMOVE` Deprecated. Indicates removal of a site from a configuration
`static int` `ACTION_UNCONFIGURE` Deprecated. Indicates feature unconfiguration action
`static int` `STATUS_NOK` Deprecated. Indicates the action did not complete successfully
`static int` `STATUS_OK` Deprecated. Indicates the action completed cussessfully

Method Summary
`int` `getAction()` Deprecated. Returns the action code for this activity
`Date` `getDate()` Deprecated. Returns the creation date of this activity
`IInstallConfiguration` `getInstallConfiguration()` Deprecated. Returns the installation configuration that was the result of this action
`String` `getLabel()` Deprecated. Returns the displayable label for this action
`int` `getStatus()` Deprecated. Returns the activity completion status

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### ACTION_FEATURE_INSTALL

    static final int ACTION_FEATURE_INSTALL

  Deprecated.
  Indicates feature installation action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_FEATURE_REMOVE

    static final int ACTION_FEATURE_REMOVE

  Deprecated.
  Indicates feature removal (uninstallation) action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_SITE_INSTALL

    static final int ACTION_SITE_INSTALL

  Deprecated.
  Indicates an addition of a site to a configuration

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_SITE_REMOVE

    static final int ACTION_SITE_REMOVE

  Deprecated.
  Indicates removal of a site from a configuration

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_UNCONFIGURE

    static final int ACTION_UNCONFIGURE

  Deprecated.
  Indicates feature unconfiguration action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_CONFIGURE

    static final int ACTION_CONFIGURE

  Deprecated.
  Indicates feature configuration action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_REVERT

    static final int ACTION_REVERT

  Deprecated.
  Indicates reverting to a prior configuration state

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_RECONCILIATION

    static final int ACTION_RECONCILIATION

  Deprecated.
  Indicates reconcilliation with changes made directly to the site installation directory

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_ADD_PRESERVED

    static final int ACTION_ADD_PRESERVED

  Deprecated.
  Indicates adding the configuration to a preserved state

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### STATUS_OK

    static final int STATUS_OK

  Deprecated.
  Indicates the action completed cussessfully

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### STATUS_NOK

    static final int STATUS_NOK

  Deprecated.
  Indicates the action did not complete successfully

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

Method Detail

### getAction

    int getAction()

  Deprecated.
  Returns the action code for this activity

  Returns:
    action code, as defined in this interface
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `ACTION_FEATURE_INSTALL`, `ACTION_FEATURE_REMOVE`, `ACTION_SITE_INSTALL`, `ACTION_SITE_REMOVE`, `ACTION_UNCONFIGURE`, `ACTION_CONFIGURE`, `ACTION_REVERT`, `ACTION_RECONCILIATION`

### getLabel

    String getLabel()

  Deprecated.
  Returns the displayable label for this action

  Returns:
    diplayable label for action
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getDate

    Date getDate()

  Deprecated.
  Returns the creation date of this activity

  Returns:
    activity date
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getStatus

    int getStatus()

  Deprecated.
  Returns the activity completion status

  Returns:
    completion status, as defined in this interface
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `STATUS_OK`, `STATUS_NOK`

### getInstallConfiguration

    IInstallConfiguration getInstallConfiguration()

  Deprecated.
  Returns the installation configuration that was the result of this action

  Returns:
    installation configuration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.